org.eclipse.incquery.runtime.matchers.planning

## Class QueryProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.incquery.runtime.matchers.planning.QueryProcessingException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    QueryInitializationException, RetePatternBuildException

      public class QueryProcessingException
      extends java.lang.Exception

  Since:
    0.9
  Author:
    Zoltan Ujhelyi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryProcessingException(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription)`
    `QueryProcessingException(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getPatternDescription()`
    `java.lang.String` | `getShortMessage()`
    `java.lang.String[]` | `getTemplateContext()`
    `java.lang.String` | `getTemplateMessage()`
    `void` | `setPatternDescription(java.lang.Object patternDescription)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryProcessingException

          public QueryProcessingException(java.lang.String message,
                                          java.lang.String[] context,
                                          java.lang.String shortMessage,
                                          java.lang.Object patternDescription)

      Parameters:
        `message` - The template of the exception message
        `context` - The data elements to be used to instantiate the template. Can be null if no context parameter is defined
        `patternDescription` - the PatternDescription where the exception occurred

    - #### QueryProcessingException

          public QueryProcessingException(java.lang.String message,
                                          java.lang.String[] context,
                                          java.lang.String shortMessage,
                                          java.lang.Object patternDescription,
                                          java.lang.Throwable cause)

      Parameters:
        `message` - The template of the exception message
        `context` - The data elements to be used to instantiate the template. Can be null if no context parameter is defined
        `patternDescription` - the PatternDescription where the exception occurred

  - ### Method Detail

    - #### getPatternDescription

          public java.lang.Object getPatternDescription()

    - #### getShortMessage

          public java.lang.String getShortMessage()

    - #### getTemplateContext

          public java.lang.String[] getTemplateContext()

    - #### getTemplateMessage

          public java.lang.String getTemplateMessage()

    - #### setPatternDescription

          public void setPatternDescription(java.lang.Object patternDescription)